const std = @import("std");

// Compile our C source with zig
pub fn build(b: *std.Build) void {
    const target = b.standardTargetOptions(.{});
    const optimize = b.standardOptimizeOption(.{ .preferred_optimize_mode = .ReleaseFast });

    const exe = b.addExecutable(.{
        .name = "ctree",
        .target = target,
        .optimize = optimize,
        .strip = true,
    });

    const sources = &.{ "src/main.c", "src/tree.c" };

    exe.linkLibC();
    exe.addCSourceFiles(.{ .files = sources });

    b.installArtifact(exe);
}
